commit: 3f383ad16296d1038d515b8cf69f46d2556ca140
Author: Johann Schmitz <ercpe <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 4 07:20:34 2017 +0000
Commit: Johann Schmitz <ercpe <AT> gentoo <DOT> org>
CommitDate: Sat Mar 4 07:21:14 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f383ad1
dev-python/yubiotp: Support both, pycrypto and pycryptodome (wrt #611620)
Package-Manager: Portage-2.3.3, Repoman-2.3.2
dev-python/yubiotp/yubiotp-0.2.1.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/dev-python/yubiotp/yubiotp-0.2.1.ebuild
b/dev-python/yubiotp/yubiotp-0.2.1.ebuild
index 7c09af08235..3b7f736ef7e 100644
--- a/dev-python/yubiotp/yubiotp-0.2.1.ebuild
+++ b/dev-python/yubiotp/yubiotp-0.2.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -10,7 +10,7 @@ inherit eutils distutils-r1
MY_PN="YubiOTP"
MY_P="${MY_PN}-${PV}"
-DESCRIPTION="Python library for verifying YubiKey OTP tokens, both locally and
through a Yubico web service"
+DESCRIPTION="Library for verifying YubiKey OTP tokens, both locally and
through a Yubico web service"
HOMEPAGE="https://bitbucket.org/psagers/yubiotp"
SRC_URI="mirror://pypi/Y/${MY_PN}/${MY_P}.tar.gz"
@@ -23,7 +23,7 @@ IUSE="test"
S="${WORKDIR}/${MY_P}"
CDEPEND="dev-python/six[${PYTHON_USEDEP}]
- dev-python/pycrypto[${PYTHON_USEDEP}]"
+ || ( dev-python/pycryptodome[${PYTHON_USEDEP}]
dev-python/pycrypto[${PYTHON_USEDEP}] )"
RDEPEND="${CDEPEND}"
DEPEND="test? ( ${CDEPEND} )"